<?php
/*
	Copyright(c) 2010 Shift Tech Inc. All Rights Reserved.
 	http://www.shift-tech.jp/
*/

require_once (LIB_PATH.'/common/unitCommon.php');

class extMdlMemberNewList extends unitCommon
{
	//------ ユニット毎に必ず設定しなくてはならない変数 -------//
	var $_table    = "extunit_extMdlMember_NewList";		//公開用テーブル名
	var $_tmptable = "extunit_extMdlMember_NewList_tmp";	//下書き用テーブル名
	var $columns = array(
					array("column"=>"pageu_code","conv"=>"n","tags"=>false),		//ユニット登録コード
					array("column"=>"list_limit","conv"=>"n","tags"=>false),		//一覧表示数
					array("column"=>"btm_padding","conv"=>"","tags"=>false)			//下方スペース
					);
	var $_unit_form = null;
	var $cls = null;

	/*
	 * コンストラクタ
	 * （メソッド名改変不可）
	 */
	function extMdlMemberSearch()
	{
		$this->__construct();
	}

	/*
	 * コンストラクタ
	 * （メソッド名改変不可）
	 */
	function __construct()
	{
		unitCommon::__construct();

	}

	/*
	 * 出力データセット処理
	 * （メソッド名改変不可）
	 */
	function setDisplayData()
	{
		//ユニット設定データ
		$data = $this->getDetail();
		
		//表示件数
		$limit = isset($data['list_limit']) ? $data['list_limit'] : 10;		
		
		//ページ表示変数
		$d = $this->getRequest('d');
		$c = $this->getRequest('c');
		$_prev = ($this->getRequest('prev')) ? '&prev=1&mprev=1' : '';
		
		//検索用クラス
		require_once(MODULES_PATH."/extMdlMember/class/clsUnitSearch.php");
		$this->cls = new extMdlMemberClsUnitSearch();
		
		//検索結果表示
		$list = $this->cls->getData();
		$_p = isset($_REQUEST['_p']) ? $_REQUEST['_p'] : 0;
		$rtn = extMdlMember_Pager($limit, $_p, $list, $method='GET', $urlvar='_p');
		$this->_view->assign('list', $rtn["pagedata"]);
		$this->_view->assign('Pages', $rtn["pageNavi"]["all"]);	
		
		return $data;
	}

	/*
	 * DBより保存データ取得
	 */
	function getDetail()
	{
		$rtn =  null;
		$sql = "select * from ".$this->getTbl()." where pageu_code = ?";
		if(isset($this->_pageu_code)&&is_numeric($this->_pageu_code)) {
			$result = $this->db->prepare($sql,$this->_pageu_code);
			if($result){
				$rtn = $result->fetchRow(DB_FETCHMODE_ASSOC);
			}
		}
		return $rtn;
	}

	/*
	 * DBより保存データ取得しFORMの初期値としてセット
	 * （メソッド名改変不可）
	 */
	function setDefault()
	{
		$data = $this->getDetail();
		$this->_form->setDefaults($data);
	}

	/*
	 * フォームエレメントの作成
	 * （メソッド名改変不可）
	 */
	function setElements()
	{
		//ページコード
		$this->_form->addElement('hidden','pageu_code', $this->_pageu_code,array("id"=>"pageu_code"));
		//表示件数
		$this->_form->addElement('text','list_limit', null, array('size'=>'5', 'id'=>'list_limit'));
	}

	/*
	 * フォーム入力エラーチェックの設定
	 * （メソッド名改変不可）
	 */
	function setRules()
	{
		$this->_form->applyFilter('__ALL__','trim');
		$this->_form->_submitValues = DataBase::ConvColumnVals($this->_form->_submitValues,$this->columns); //ルールに従った値変換、タグの除去
		$this->_form->setJsWarnings('下記の項目が不正です。','');
		$this->_form->addRule('pageu_code','・「ユニットコード」が不明です。コンテンツ管理よりやり直してください','required',null,$this->erchk);
		
		$this->_form->addRule('list_limit','・1ページの表示件数を入力してください。','required',null,$this->erchk);
		$this->_form->addRule('list_limit','・1ページの表示件数を半角数字で入力してください。','numeric',null,$this->erchk);
	}

	/*
	 * データ下書き保存処理
	 * （メソッド名改変不可）
	 */
	function doSave($post)
	{
		$record = null;
		foreach($this->columns as $val) {
			if($post[$val["column"]]!=null){
				$record[$val["column"]] = $post[$val["column"]];
			} else {
				$record[$val["column"]] = null;
			}
		}
		//既存データがあるか確認
		$old_data = $this->getDetail();
		$this->db->query('BEGIN');
		//保存処理開始
		if(is_array($old_data)&& count($old_data)>0) {
			//更新
			if(!$this->db->update($this->getTbl(),$record, "pageu_code=".$record["pageu_code"])) {
				$this->db->query('ROLLBACK');
				return "・データの保存に失敗しました";
			}
		} else { //新規
			if(!$this->db->insert($this->getTbl(),$record)) {
				$this->db->query('ROLLBACK');
				return "・データの保存に失敗しました";
			}
		}
		$this->db->query('COMMIT');
		return null;
	}
}
?>