<?php
/*
	Copyright(c) 2010 Shift Tech Inc. All Rights Reserved.
 	http://www.shift-tech.jp/
*/

require_once (LIB_PATH.'/common/unitCommon.php');

class extMdlMemberSearch extends unitCommon
{
	//------ ユニット毎に必ず設定しなくてはならない変数 -------//
	var $_table    = "extunit_extMdlMember_Search";		//公開用テーブル名
	var $_tmptable = "extunit_extMdlMember_Search_tmp";	//下書き用テーブル名
	var $columns = array(
					array("column"=>"pageu_code","conv"=>"n","tags"=>false),		//ユニット登録コード
					array("column"=>"btm_padding","conv"=>"","tags"=>false)			//下方スペース
					);
	var $_unit_form = null;
	var $cls = null;

	/*
	 * コンストラクタ
	 * （メソッド名改変不可）
	 */
	function extMdlMemberSearch()
	{
		$this->__construct();
	}

	/*
	 * コンストラクタ
	 * （メソッド名改変不可）
	 */
	function __construct()
	{
		unitCommon::__construct();

	}

	/*
	 * 出力データセット処理
	 * （メソッド名改変不可）
	 */
	function setDisplayData()
	{
		//ページ表示変数
		$d = $this->getRequest('d');
		$c = $this->getRequest('c');
		$_prev = ($this->getRequest('prev')) ? '&prev=1&mprev=1' : '';
		
		//フォームセット
		$this->_unit_form = new HTML_QuickForm("form_extMdlMemberSearch",'post',BINGOTOPURL.'/index.php?p=&d='.$d.'&c='.$c.$_prev,'',null,true);
		
		//検索用クラス
		require_once(MODULES_PATH."/extMdlMember/class/clsUnitSearch.php");
		$this->cls = new extMdlMemberClsUnitSearch();
		$this->cls->setForm($this->_unit_form);		
		
		$this->cls->setSerachElements();
		
		//検索条件をSESSIONに保存
		$ret = $this->cls->setSession();
		if ($ret) {
			header('Location:'.BINGOTOPURL.'/index.php?p=list&d='.$d.'&c='.$c.$_prev);
		}
		
		//エラー時
		if(!empty($this->cls->_form->_errors)) {
			$this->_view->assign('ERROR',$this->cls->_form->_errors);
			foreach($this->cls->_form->_errors as $key => $val) {
				$this->cls->_form->updateElementAttr($key, array("class"=>"err"));
			}
		}
		$renderer =& new HTML_QuickForm_Renderer_ArraySmarty($this->_view);
		$this->cls->_form->accept($renderer);
		$this->_view->assign('form_extMdlMemberSearch',$renderer->toArray());		
		
		$data = $this->getDetail();
		return $data;
	}

	/*
	 * DBより保存データ取得
	 */
	function getDetail()
	{
		$rtn =  null;
		$sql = "select * from ".$this->getTbl()." where pageu_code = ?";
		if(isset($this->_pageu_code)&&is_numeric($this->_pageu_code)) {
			$result = $this->db->prepare($sql,$this->_pageu_code);
			if($result){
				$rtn = $result->fetchRow(DB_FETCHMODE_ASSOC);
			}
		}
		return $rtn;
	}

	/*
	 * DBより保存データ取得しFORMの初期値としてセット
	 * （メソッド名改変不可）
	 */
	function setDefault()
	{
		$data = $this->getDetail();
		$this->_form->setDefaults($data);
	}

	/*
	 * フォームエレメントの作成
	 * （メソッド名改変不可）
	 */
	function setElements()
	{
		$this->_form->addElement('hidden','pageu_code', $this->_pageu_code,array("id"=>"pageu_code")); //ページコード
	}

	/*
	 * フォーム入力エラーチェックの設定
	 * （メソッド名改変不可）
	 */
	function setRules()
	{
		$this->_form->applyFilter('__ALL__','trim');
		$this->_form->_submitValues = DataBase::ConvColumnVals($this->_form->_submitValues,$this->columns); //ルールに従った値変換、タグの除去
		$this->_form->setJsWarnings('下記の項目が不正です。','');
		$this->_form->addRule('pageu_code','・「ユニットコード」が不明です。コンテンツ管理よりやり直してください','required',null,$this->erchk);
	}

	/*
	 * データ下書き保存処理
	 * （メソッド名改変不可）
	 */
	function doSave($post)
	{
		$record = null;
		foreach($this->columns as $val) {
			if($post[$val["column"]]!=null){
				$record[$val["column"]] = $post[$val["column"]];
			} else {
				$record[$val["column"]] = null;
			}
		}
		//既存データがあるか確認
		$old_data = $this->getDetail();
		$this->db->query('BEGIN');
		//保存処理開始
		if(is_array($old_data)&& count($old_data)>0) {
			//更新
			if(!$this->db->update($this->getTbl(),$record, "pageu_code=".$record["pageu_code"])) {
				$this->db->query('ROLLBACK');
				return "・データの保存に失敗しました";
			}
		} else { //新規
			if(!$this->db->insert($this->getTbl(),$record)) {
				$this->db->query('ROLLBACK');
				return "・データの保存に失敗しました";
			}
		}
		$this->db->query('COMMIT');
		return null;
	}
}
?>