<?php

/*
 * モジュールが持つテーブル、モジュール付属ユニットが持つテーブルの生成を行う
  * @param tbl_extmoduleのマスタ情報
 */
function module_install($param, $db) {
	switch(DBTYPE) {
		//postgreSQL用の記述
		case "pgsql":
			$sql[] = "create table extunit_extMdlMember_Search (
						pageu_code		integer,
						btm_padding		smallint default 2,
						primary key (pageu_code)
					);";
			$sql[] = "create table extunit_extMdlMember_Search_tmp (
						pageu_code		integer,
						btm_padding		smallint default 2,
						primary key (pageu_code)
					);";
			$sql[] = "create table extunit_extMdlMember_List (
						pageu_code		integer,
						list_limit		integer,
						btm_padding		smallint default 2,
						primary key (pageu_code)
					);";
			$sql[] = "create table extunit_extMdlMember_List_tmp (
						pageu_code		integer,
						list_limit		integer,
						btm_padding		smallint default 2,
						primary key (pageu_code)
					);";
			$sql[] = "create table extunit_extMdlMember_Detail (
						pageu_code		integer,
						btm_padding		smallint default 2,
						primary key (pageu_code)
					);";
			$sql[] = "create table extunit_extMdlMember_Detail_tmp (
						pageu_code		integer,
						btm_padding		smallint default 2,
						primary key (pageu_code)
					)TYPE=InnoDB;";
			$sql[] = "create table extunit_extMdlMember_NewList (
						pageu_code		integer,
						list_limit		integer,
						btm_padding		smallint default 2,
						primary key (pageu_code)
					);";
			$sql[] = "create table extunit_extMdlMember_NewList_tmp (
						pageu_code		integer,
						list_limit		integer,
						btm_padding		smallint default 2,
						primary key (pageu_code)
					);";			
			break;
		case "mysql":
			//MySQL用の記述
			$sql[] = "create table extunit_extMdlMember_Search (
						pageu_code		integer,
						btm_padding		int default 2,
						primary key (pageu_code)
					)TYPE=InnoDB;";
			$sql[] = "create table extunit_extMdlMember_Search_tmp (
						pageu_code		integer,
						btm_padding		int default 2,
						primary key (pageu_code)
					)TYPE=InnoDB;";
			$sql[] = "create table extunit_extMdlMember_List (
						pageu_code		integer,
						list_limit		integer,
						btm_padding		int default 2,
						primary key (pageu_code)
					)TYPE=InnoDB;";
			$sql[] = "create table extunit_extMdlMember_List_tmp (
						pageu_code		integer,
						list_limit		integer,
						btm_padding		int default 2,
						primary key (pageu_code)
					)TYPE=InnoDB;";
			$sql[] = "create table extunit_extMdlMember_Detail (
						pageu_code		integer,
						btm_padding		int default 2,
						primary key (pageu_code)
					)TYPE=InnoDB;";
			$sql[] = "create table extunit_extMdlMember_Detail_tmp (
						pageu_code		integer,
						btm_padding		int default 2,
						primary key (pageu_code)
					)TYPE=InnoDB;";
			$sql[] = "create table extunit_extMdlMember_NewList (
						pageu_code		integer,
						list_limit		integer,
						btm_padding		int default 2,
						primary key (pageu_code)
					)TYPE=InnoDB;";
			$sql[] = "create table extunit_extMdlMember_NewList_tmp (
						pageu_code		integer,
						list_limit		integer,
						btm_padding		int default 2,
						primary key (pageu_code)
					)TYPE=InnoDB;";
			break;
		default:
			return false;
			break;
	}
	//sqlの実行
	if(!is_array($sql)||!count($sql)>0) {
		//テーブルのないモジュール、ユニットは存在させない
		return false;
	}
	foreach($sql as $key => $val) {
		if(!$db->query($val)) {
			return false;
		}
	}
	return true;
}
?>